<!DOCTYPE html>
<html lang="pl-PL">
<%- include('../partials/_head.ejs') %>
<body>
<%- include('../partials/_header.ejs') %>
<main role="main" class="container mt-4">
  <h2>Dane użytkownika</h2>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">Użytkownik: <%= user.username %></h5>
      <p class="card-text">Godziny pracy: <%= user.workingHours.start %> - <%= user.workingHours.end %></p>
      <p class="card-text">Dni robocze: 
        <% const dniRobocze = {
          'Monday': 'Poniedziałek',
          'Tuesday': 'Wtorek',
          'Wednesday': 'Środa',
          'Thursday': 'Czwartek',
          'Friday': 'Piątek',
          'Saturday': 'Sobota',
          'Sunday': 'Niedziela'
        }; %>
        <%= user.workingDays.map(day => dniRobocze[day]).join(', ') %>
      </p>
      <p class="card-text">Menadżer: <%= user.manager ? user.manager.username : 'Brak menadżera' %></p>
      <p class="card-text">Rola: 
        <% if (user.role === 'Admin') { %>Administrator<% } %>
        <% if (user.role === 'Manager') { %>Menadżer<% } %>
        <% if (user.role === 'Analyst') { %>Analityk<% } %>
        <% if (user.role === 'Reader') { %>Sprzedawca<% } %>
      </p>
      <p class="card-text">Opis: <%= user.description ? user.description : 'Brak dostępnego opisu użytkownika' %></p>
    </div>
  </div>
</main>
</body>
<%- include('../partials/_footer.ejs') %>
</html>
